WellbyteWellbyte

GET /v1/instagram/v3/get_user_reels

Get user reels

stable · 11 credits per success

Get Instagram user's Reels list;Support pagination to fetch all user's Reels;username: Instagram username (required);first: Reels per page for forward pagination (default 12, max 50);after: Forward pagination cursor, from previous response `data.page_info.end_cursor`;before: Backward pagination cursor, from previous response `data.page_info.start_cursor`;last: Reels per page for backward paginati…

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl -s 'https://api.wellbyte.net/v1/instagram/v3/get_user_reels?last=NaN&after=demo&first=NaN&before=demo&username=instagram&page_size=NaN' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-08-27

data{
code:0
data{
_rid:"34b159223b7cd"
data{ 1 item }
count:12
items[ 2 items ]
next_max_id:null
}
meta{
endpoint:"instagram.v3.get_user_reels"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    lastintegerqueryno向前翻页时每页数量demo
    afterstringqueryno向后翻页游标(end_cursor)demo
    firstintegerqueryno向后翻页时每页数量demo
    beforestringqueryno向前翻页游标(start_cursor)demo
    usernamestringqueryyes用户名instagram
    page_sizeintegerqueryno每页视频数量demo

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 11 credits. Any failure — including a 200 from upstream that fails the quality gate — costs 0.

    Search

    Search endpoints and docs